Skip to content

getAccount

READ

Get account.

POST /api/v1/accounting/getAccount
curl -X POST '<your-host>/api/v1/accounting/getAccount' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "accountId": "string"
  }'
Response
{
  "accountType": "Bank",
  "active": true,
  "class": "Expense",
  "companyGroupId": "string",
  "consolidatedRate": "Average",
  "createdAt": "string",
  "createdBy": "string",
  "customFields": "…",
  "id": "string",
  "incomeBalance": "Balance Sheet",
  "isGroup": true,
  "isSystem": true,
  "name": "string",
  "number": "string",
  "parentId": "string",
  "tags": [
    "string"
  ],
  "updatedAt": "string",
  "updatedBy": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "accountId": {
      "type": "string"
    }
  },
  "required": [
    "accountId"
  ]
}